<?php

namespace FiloBlu\Flow\Console\Command;

use Symfony\Component\Console\Command\Command;
use Symfony\Component\Console\Input\InputInterface;
use Symfony\Component\Console\Output\OutputInterface;


class ProcessCommand extends Command
{


    public function __construct(
        \Magento\Framework\App\State $state
    )
    {
        $state->setAreaCode('adminhtml');
        return parent::__construct();
    }

    protected function configure()
    {
        $this->setName('flow:process')->setDescription('Process data channels');
    }

    protected function execute(InputInterface $input, OutputInterface $output)
    {
        $objectManager = \Magento\Framework\App\ObjectManager::getInstance();
        $this->cronModel = $objectManager->create('\FiloBlu\Flow\Cron\Fetch');
        $this->cronModel->process();
        $output->writeln('<info>Parsed executed !</info>');
    }

}